<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:18 PST 2021 -->
<title>FetcherOutputFormat (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FetcherOutputFormat (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FetcherOutputFormat.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/fetcher/Fetcher.InputFormat.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/fetcher/FetcherThread.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/fetcher/FetcherOutputFormat.html" target="_top">Frames</a></li>
<li><a href="FetcherOutputFormat.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.apache.hadoop.mapreduce.lib.output.FileOutputFormat">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.hadoop.mapreduce.lib.output.FileOutputFormat">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.fetcher</div>
<h2 title="Class FetcherOutputFormat" class="title">Class FetcherOutputFormat</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/OutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">org.apache.hadoop.mapreduce.OutputFormat</a>&lt;K,V&gt;</li>
<li>
<ul class="inheritance">
<li><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output">org.apache.hadoop.mapreduce.lib.output.FileOutputFormat</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../org/apache/nutch/crawl/NutchWritable.html" title="class in org.apache.nutch.crawl">NutchWritable</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.fetcher.FetcherOutputFormat</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FetcherOutputFormat</span>
extends <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output">FileOutputFormat</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../org/apache/nutch/crawl/NutchWritable.html" title="class in org.apache.nutch.crawl">NutchWritable</a>&gt;</pre>
<div class="block">Splits FetcherOutput entries into multiple map files.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.apache.hadoop.mapreduce.lib.output.FileOutputFormat">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.apache.hadoop.mapreduce.lib.output.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output">FileOutputFormat</a></h3>
<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.Counter.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output">FileOutputFormat.Counter</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.hadoop.mapreduce.lib.output.FileOutputFormat">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.hadoop.mapreduce.lib.output.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output">FileOutputFormat</a></h3>
<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#BASE_OUTPUT_NAME" title="class or interface in org.apache.hadoop.mapreduce.lib.output">BASE_OUTPUT_NAME</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#COMPRESS" title="class or interface in org.apache.hadoop.mapreduce.lib.output">COMPRESS</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#COMPRESS_CODEC" title="class or interface in org.apache.hadoop.mapreduce.lib.output">COMPRESS_CODEC</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#COMPRESS_TYPE" title="class or interface in org.apache.hadoop.mapreduce.lib.output">COMPRESS_TYPE</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#OUTDIR" title="class or interface in org.apache.hadoop.mapreduce.lib.output">OUTDIR</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#PART" title="class or interface in org.apache.hadoop.mapreduce.lib.output">PART</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetcherOutputFormat.html#FetcherOutputFormat--">FetcherOutputFormat</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetcherOutputFormat.html#checkOutputSpecs-org.apache.hadoop.mapreduce.JobContext-">checkOutputSpecs</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/JobContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">JobContext</a>&nbsp;job)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordWriter.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">RecordWriter</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../org/apache/nutch/crawl/NutchWritable.html" title="class in org.apache.nutch.crawl">NutchWritable</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetcherOutputFormat.html#getRecordWriter-org.apache.hadoop.mapreduce.TaskAttemptContext-">getRecordWriter</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/TaskAttemptContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">TaskAttemptContext</a>&nbsp;context)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.hadoop.mapreduce.lib.output.FileOutputFormat">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.hadoop.mapreduce.lib.output.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output">FileOutputFormat</a></h3>
<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getCompressOutput-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getCompressOutput</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getDefaultWorkFile-org.apache.hadoop.mapreduce.TaskAttemptContext-java.lang.String-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getDefaultWorkFile</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getOutputCommitter-org.apache.hadoop.mapreduce.TaskAttemptContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getOutputCommitter</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getOutputCompressorClass-org.apache.hadoop.mapreduce.JobContext-java.lang.Class-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getOutputCompressorClass</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getOutputName-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getOutputName</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getOutputPath-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getOutputPath</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getPathForWorkFile-org.apache.hadoop.mapreduce.TaskInputOutputContext-java.lang.String-java.lang.String-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getPathForWorkFile</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getUniqueFile-org.apache.hadoop.mapreduce.TaskAttemptContext-java.lang.String-java.lang.String-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getUniqueFile</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getWorkOutputPath-org.apache.hadoop.mapreduce.TaskInputOutputContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getWorkOutputPath</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#setCompressOutput-org.apache.hadoop.mapreduce.Job-boolean-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">setCompressOutput</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#setOutputCompressorClass-org.apache.hadoop.mapreduce.Job-java.lang.Class-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">setOutputCompressorClass</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#setOutputName-org.apache.hadoop.mapreduce.JobContext-java.lang.String-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">setOutputName</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#setOutputPath-org.apache.hadoop.mapreduce.Job-org.apache.hadoop.fs.Path-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">setOutputPath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FetcherOutputFormat--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FetcherOutputFormat</h4>
<pre>public&nbsp;FetcherOutputFormat()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="checkOutputSpecs-org.apache.hadoop.mapreduce.JobContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkOutputSpecs</h4>
<pre>public&nbsp;void&nbsp;checkOutputSpecs(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/JobContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">JobContext</a>&nbsp;job)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#checkOutputSpecs-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">checkOutputSpecs</a></code>&nbsp;in class&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output">FileOutputFormat</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../org/apache/nutch/crawl/NutchWritable.html" title="class in org.apache.nutch.crawl">NutchWritable</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="getRecordWriter-org.apache.hadoop.mapreduce.TaskAttemptContext-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRecordWriter</h4>
<pre>public&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordWriter.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">RecordWriter</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../org/apache/nutch/crawl/NutchWritable.html" title="class in org.apache.nutch.crawl">NutchWritable</a>&gt;&nbsp;getRecordWriter(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/TaskAttemptContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">TaskAttemptContext</a>&nbsp;context)
                                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true#getRecordWriter-org.apache.hadoop.mapreduce.TaskAttemptContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.output">getRecordWriter</a></code>&nbsp;in class&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output">FileOutputFormat</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../org/apache/nutch/crawl/NutchWritable.html" title="class in org.apache.nutch.crawl">NutchWritable</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FetcherOutputFormat.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/fetcher/Fetcher.InputFormat.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/fetcher/FetcherThread.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/fetcher/FetcherOutputFormat.html" target="_top">Frames</a></li>
<li><a href="FetcherOutputFormat.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.apache.hadoop.mapreduce.lib.output.FileOutputFormat">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.hadoop.mapreduce.lib.output.FileOutputFormat">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
